# Contract Info

```
https://api.vechainstats.com/v2/contract/info
    ?address=0xae4c53b120cba91a44832f875107cbc8fbee185c
    &expanded=true
    &VCS_API_KEY=your_api_key
```

{% hint style="info" %}
**Note :** This endpoint is throttled to **10 calls/minute** regardless of API Pro tier.
{% endhint %}

{% tabs %}
{% tab title="Request" %}

| Parameter    | Description                                                                                          |
| ------------ | ---------------------------------------------------------------------------------------------------- |
| address      | The address you want to query                                                                        |
| expanded     | Either `true` or `false`. Setting this option to `true` expands the response with extra information. |
| {% endtab %} |                                                                                                      |

{% tab title="Response" %}

```json5
{
    "status": {
        "success": true,
        "message": "OK"
    },
    "data": {
        "contract_name": "Yeet Coin",
        "vcs_alias": "Yeet (YEET Token)",
        "type": "vip180",
        "balance_vet": "0",
        "balance_vtho": "56",
        "contract_total_supply": "69000000",
        "creation_block": 2256958,
        "creation_txid": "0x0ace736bc4ad5a25e2493d71fbc3315e422068ecefb3715d86ea85ab0ba26716",
        "creation_timestamp": 1552926040,
        "creation_type": "create",
        "deployer_address": "0x7567d83b7b8d80addcb281a71d54fc7b3364ffed",
        "master_address": "0x714e34ad16d78ef503cff5c686975031ebaece8d",
        "has_interface": false,
        "has_total_supply": true,
        "has_txns_in": true,
        "has_txns_out": false,
        "nft_royalties": null,
        "token_decimals": 18,
        "token_symbol": "YEET"
    },
    "meta": {
        "address": "0xae4c53b120cba91a44832f875107cbc8fbee185c",
        "expanded": true,
        "timestamp": 1747908556
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vechainstats.com/api-endpoints/contract/contract-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
